For the complete documentation index, see llms.txt. This page is also available as Markdown.

Jobs

Deprecated

Cancels given Job.

post

Calling this endpoint will return immediately and not wait until the Job is actually stopped. Users can cancel their own jobs and Admins can cancel any job. This endpoint will be removed in 2026.06. Please use DELETE /rest/jobs/v1/jobs/:jobId

Authorizations
AuthorizationstringRequired
Path parameters
jobIdstring · uuidRequired

The unique identifier of the Job.

Body
messagestringOptional

A message for the cancellation.

Responses
202

Job cancellation accepted.

No content

post/jobs/{jobId}/canceled
202

Job cancellation accepted.

No content

Deprecated

Find jobs

get

Returns jobs matching the given search criteria. Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. This endpoint will be removed in 2026.06. Please use GET /rest/jobs/v1/jobs

Authorizations
AuthorizationstringRequired
Query parameters
offsetinteger · int32Optional

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.

Default: 0
limitinteger · int32Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32Optional

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

Default: -1
createdBystring · uuidOptional

The ID of the user who created the searched job.

namestringOptional

The name of the job to search for.

nameMatchModestring · enumOptional

The match mode used to compare name. If the match mode is EXACT the search is case-sensitive, otherwise the search is case-insensitive.

Default: ANYWHEREPossible values:
typesstring[]Optional

The list of types of the jobs.

maxVisibilityinteger · int32Optional

The maximum visibility of the job. Ignored, use visible instead

Default: 2147483647
visiblebooleanOptional

The visibility of the jobs. Defaults to all jobs (both visible and non-visible).

sortOrderstring · enumOptional

The order of sorting.

Default: DESCPossible values:
sortFieldstring · enumOptional

The field that should be used as reference for sorting.

Default: CREATED_ONPossible values:
Responses
200

The paged response with jobs matching filter criteria

application/json
totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/jobs
200

The paged response with jobs matching filter criteria

Deprecated

Returns the Job identified by the given UUID.

get

Returns the Job identified by the given UUID. This endpoint will be removed in 2026.06. Please use GET /rest/jobs/v1/jobs/:jobId

Authorizations
AuthorizationstringRequired
Path parameters
jobIdstring · uuidRequired

The ID of the job.

Responses
200

Job found.

application/json

Represents a job. Job is a single atomic task that is to be performed asynchronously

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
typestringOptional

The type of the job.

Example: IMPORT
userIdstring · uuidOptional

The ID of the user that initiated this job.

visibilityinteger · int32Optional

The visibility of the job.

progressPercentagenumber · doubleOptional

The progress percentage of the job.

Example: 50
cancelablebooleanOptional

Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.

startDateinteger · int64Optional

The start date of the job.

Example: 1488016800
endDateinteger · int64Optional

The end date of the job.

Example: 1488021800
statestring · enumOptional

The state of the job.

Example: COMPLETEDPossible values:
resultstring · enumOptional

The result of the job.

Example: SUCCESSPossible values:
messagestringOptional

The message of the job.

Example: Import finished in 12s.
get/jobs/{jobId}

Last updated

Was this helpful?